### Function

# Pangofind_paragraph_boundary

#### Declaration [src]

    void
    pango_find_paragraph_boundary (
      const char* text,
      int length,
      int* paragraph_delimiter_index,
      int* next_paragraph_start
    )

#### Description [src]

Locates a paragraph boundary in `text`.

A boundary is caused by delimiter characters, such as a newline, carriage return, carriage return-newline pair, or Unicode paragraph separator character.

The index of the run of delimiters is returned in `paragraph_delimiter_index`. The index of the start of the next paragraph (index after all delimiters) is stored n `next_paragraph_start`.

If no delimiters are found, both `paragraph_delimiter_index` and `next_paragraph_start` are filled with the length of `text` (an index one off the end).

#### Parameters

`text`

  Type: `const char*`

  UTF-8 text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  Length of `text` in bytes, or -1 if nul-terminated.

`paragraph_delimiter_index`

  Type: `int*`

  Return location for index of delimiter.

  The argument will be set by the function.

`next_paragraph_start`

  Type: `int*`

  Return location for start of next paragraph.

  The argument will be set by the function.